summaryrefslogtreecommitdiff
path: root/kernels
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-11-21 00:11:17 -0200
committerAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-11-21 00:11:17 -0200
commit14c7fb9a0df7f551b634e88cae88ca67cf3ab879 (patch)
treec8c24d4f7f684837d6fa71c951fda4bf7d9d0c7c /kernels
parent36c17dd74f7cad17342f70159c343f13840ddf06 (diff)
downloadabslibre-14c7fb9a0df7f551b634e88cae88ca67cf3ab879.tar.gz
abslibre-14c7fb9a0df7f551b634e88cae88ca67cf3ab879.tar.bz2
abslibre-14c7fb9a0df7f551b634e88cae88ca67cf3ab879.zip
paxctl: adding new package to [kernels] repo
Diffstat (limited to 'kernels')
-rw-r--r--kernels/paxctl/PKGBUILD18
1 files changed, 18 insertions, 0 deletions
diff --git a/kernels/paxctl/PKGBUILD b/kernels/paxctl/PKGBUILD
new file mode 100644
index 000000000..b23812d7d
--- /dev/null
+++ b/kernels/paxctl/PKGBUILD
@@ -0,0 +1,18 @@
+# Contributor: sh0 <mee@sh0.org>
+
+pkgname='paxctl'
+pkgver='0.7'
+pkgrel=1
+pkgdesc='Manages various PaX related program header flags for Elf32, Elf64, binaries'
+url="http://pax.grsecurity.net"
+arch=('i686' 'x86_64')
+license=('GPL')
+depends=()
+source=("http://pax.grsecurity.net/${pkgname}-${pkgver}.tar.bz2")
+md5sums=('25bf9df751976e87be20243e75291263')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+}